<template>
  <div>
    <v-container>
      <v-row class="mx-2">
        <v-col cols="6">
          <v-text-field v-model="qkb.Name" label="Emri" readonly />
        </v-col>
        <v-col cols="6">
          <v-text-field v-model="qkb.Tin" label="TIN" readonly />
        </v-col>
        <v-col cols="6">
          <v-text-field v-model="qkb.Country" label="Shteti" readonly />
        </v-col>
        <v-col cols="6">
          <v-text-field v-model="qkb.Town" label="Qyteti" readonly />
        </v-col>
      </v-row>
      <v-row class="mx-2">
        <v-col cols="5">
          <v-text-field v-model="qkb.Address" label="Adresa" readonly />
        </v-col>
      </v-row>
      <v-row class="mx-2 pl-3">
        <v-btn class="mt-6" @click="fetchQkb">Rifresko</v-btn>
      </v-row>
    </v-container>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import api from '../../../plugins/api'
import { Prop } from 'vue-property-decorator'
export default class ClientQkb extends Vue {
  @Prop({ required: true }) clientId
  qkb = {
    Name: '',
    Tin: '',
    Country: '',
    Town: '',
    Address: '',
  }
  mounted() {
    this.fetchQkb()
  }
  // get selectedValue() {
  //   return this.value
  // }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  fetchQkb() {
    console.log(this.clientId)
    api()
      .get(`api/crm/clients/${this.clientId}/tax-payer`)
      .then(response => {
        console.log('tax-payer-response:', response)
        if (!response || !response.data || response.data.status !== 0) {
          return alert(response.data.message)
        }
        try {
          const taxPayer = JSON.parse(response.data.data.tax_payer)
          this.qkb.Name = taxPayer.Name
          this.qkb.Tin = taxPayer.Tin
          this.qkb.Country = taxPayer.Country
          this.qkb.Town = taxPayer.Town
          this.qkb.Address = taxPayer.Address
        } catch (e) {
          console.log(e)
        }
      })
      .catch(error => {
        this.qkb.Name = ''
        this.qkb.Tin = ''
        this.qkb.Country = ''
        this.qkb.Town = ''
        this.qkb.Address = ''
        alert(error.message)
      })
  }
}
</script>
